Summary:	SILK audio codec for mediastreamer
Summary(pl.UTF-8):	Kodek dźwięku SILK dla mediastreamera
Name:		mediastreamer-plugin-mssilk
Version:	1.0.0
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://download-mirror.savannah.gnu.org/releases/linphone/plugins/sources/mssilk-%{version}.tar.gz
# Source0-md5:	e60bf01fa0ec86afa80f5eafd318f420
Patch0:		%{name}-system-silk.patch
URL:		https://github.com/Distrotech/mssilk
BuildRequires:	SILK_SDK-devel >= 1.0.9
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	mediastreamer-devel >= 2.0.0
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
Requires:	SILK_SDK >= 1.0.9
Requires:	mediastreamer >= 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package supplies the mediastreamer plugin for the SILK audio
codec.

%description -l pl.UTF-8
Ten pakiet udostępnia wtyczkę mediastreamera do kodeka dźwięku SILK.

%prep
%setup -q -n mssilk-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/mediastreamer/plugins/libmssilk.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/mediastreamer/plugins/libmssilk.so*
%changelog
* Thu Jul 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mediastreamer-plugin-mssilk.git;a=log;h=master

* Sun Jul 07 2013 Jakub Bogusz <qboosh@pld-linux.org> d85a768
- new; with system-silk patch to build with system SILK_SDK

